import { ElementRef, AfterViewInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TooltipComponent implements AfterViewInit {
    private readonly _host;
    content: string;
    placement: 'top' | 'right' | 'bottom' | 'left';
    /**
     * @private To be used by template
     */
    _isActive: boolean;
    /**
     * @private To be used by template
     */
    _idForAriaDescribedBy: string;
    /**
     * The DOM element representing this tooltip
     */
    private _tooltip;
    /**
     * The callback to run after this tooltip is closed
     */
    private _afterClosed?;
    /**
     * Width of the tooltip
     */
    private _width;
    /**
     * Height of the tooltip
     */
    private _height;
    constructor(_host: ElementRef<HTMLDivElement>);
    ngAfterViewInit(): void;
    hide(): void;
    /**
     * Execute the provide callback after this tooltip is hidden
     *
     * @param fn
     */
    runAfterClosed(fn: () => void): void;
    /**
     * Show a tooltip at the `anchor` element
     *
     * @param anchor
     */
    show(anchor: HTMLElement | SVGElement): void;
    /**
     * Show a tooltip at the spefified x/y location
     *
     * @param x
     * @param y
     */
    showAt(x: number, y: number): void;
    /**
     *
     * @private Used in template, so can't have `private` keyword
     */
    _onLeave(): void;
    private _showTop;
    /**
     * Returns true if tooltip overflows the right edge of the screen, false otherwise
     */
    private _shiftTooltipIntoViewFromRight;
    /**
     *
     * Returns true if tooltip overflows the left edge of the screen, false otherwise
     */
    private _shiftTooltipIntoViewFromLeft;
    private _showBottom;
    private _showRight;
    /**
     *
     * @param top Top edge value of the tooltip
     * @returns `true` if tooltip overflows the bottom edge of the screen, `false` otherwise
     */
    private _shiftTooltipIntoViewFromBottom;
    /**
     *
     * @param top Top edge value of the tooltip
     * @returns `true` if tooltip overflows the bottom top of the screen, `false` otherwise
     */
    private _shiftTooltipIntoViewFromTop;
    private _showLeft;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipComponent, [{ host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipComponent, "kun-tooltip", never, { "content": "content"; "placement": "placement"; }, {}, never, never>;
}
