import { OnDestroy, ElementRef, AfterViewInit } from '@angular/core';
import { TooltipService } from './tooltip.service';
import * as i0 from "@angular/core";
export declare class TooltipDirective implements OnDestroy, AfterViewInit {
    private readonly _hostElement;
    private readonly _tooltipService;
    content: string;
    placement: 'top' | 'right' | 'bottom' | 'left';
    private _timer;
    private _longPressEventSubscription;
    constructor(_hostElement: ElementRef<HTMLElement>, _tooltipService: TooltipService);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    private _showTooltip;
    private _hideTooltip;
    /**
     * Tooltip is only shown on mouseover events iff we are not on a mobile device
     */
    _onShowTooltipOnHover(event: MouseEvent): void;
    _onShowTooltipOnFocus(event: KeyboardEvent): void;
    _onHideTooltip(event: MouseEvent | KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, [{ host: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[kunTooltip]", never, { "content": "kunTooltip"; "placement": "kunTooltipPlacement"; }, {}, never>;
}
